% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/light_mode.R
\name{light_mode_t}
\alias{light_mode_t}
\title{Light mode theme with top legend}
\usage{
light_mode_t(base_size = 11, base_family = "")
}
\arguments{
\item{base_size}{The base size of the text. Defaults to 11.}

\item{base_family}{The base family of the text. Defaults to "".}
}
\value{
A ggplot theme.
}
\description{
Light mode theme for a ggplot visualisation with top legend. It uses the colours from \code{lightness}.
}
\examples{
library(palmerpenguins)
library(ggplot2)

set_blanket()

penguins |>
  gg_point(
    x = flipper_length_mm,
    y = body_mass_g,
    col = species,
    mode = light_mode_t()
  )

}
