% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/weave.R
\name{weave_geom_defaults}
\alias{weave_geom_defaults}
\title{Update a series of geom defaults}
\usage{
weave_geom_defaults(colour = blue)
}
\arguments{
\item{colour}{A hex colour. Defaults to \code{blue}.}
}
\value{
Updated geom defaults
}
\description{
Update a series of geom defaults.
}
\examples{
library(ggplot2)
library(ggblanket)
library(palmerpenguins)

set_blanket()
weave_geom_defaults("#bc5090")

penguins |>
  gg_point(
    x = flipper_length_mm,
    y = body_mass_g,
    x_breaks = scales::breaks_pretty(3),
  )

}
